getRouteList

Prev Next

Available in VPC

Get the list of routes set in a route table.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/getRouteList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the route table for which you want to query the route list
routeTableNo String Required Route table number
vpcNo String Required VPC number of the route table
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getRouteList
?regionCode=KR
&routeTableNo=***38
&vpcNo=***04' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See RouteList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<getRouteListResponse>
  <requestId>97b1034c-e030-40b8-bc22-58da1c3e5b0b</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>2</totalRows>
  <routeList>
    <route>
      <destinationCidrBlock>***.***.0.0/16</destinationCidrBlock>
      <targetName>LOCAL</targetName>
      <routeTableNo>***38</routeTableNo>
      <targetType>
        <code>LOCAL</code>
        <codeName>Local</codeName>
      </targetType>
      <targetNo></targetNo>
      <isDefault>true</isDefault>
    </route>
    <route>
      <destinationCidrBlock>***.***.0.0/0</destinationCidrBlock>
      <targetName>INTERNET GATEWAY</targetName>
      <routeTableNo>***38</routeTableNo>
      <targetType>
        <code>IGW</code>
        <codeName>Internet Gateway</codeName>
      </targetType>
      <targetNo></targetNo>
      <isDefault>true</isDefault>
    </route>
  </routeList>
</getRouteListResponse>